Anonymize conversation

PATCH
/v1/conversations/{conversationId}/anonymize

Request the anonymization of a conversation.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Path Parameters

conversationId*integer

the id of the conversation to anonymize

Formatint64

Query Parameters

force?boolean

Whether to force close the conversation if it is found in a non closed state.

Defaultfalse

Response Body

The conversation's anonymization request status

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://dev.dixa.io/v1/conversations/{conversationId}/anonymize' \  -H 'Authorization: <API token>'
{
"data": {
"id": "87bac308-e49f-4134-84cc-96b868f1e1e4",
"entityType": "ConversationAnonymizationType",
"_type": "Conversation",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "10749",
"requestedBy": "b165fdaa-51d6-44b0-bfcd-5f431d623fa7"
}
}